ButterKnife9.0.0-rc2 配置

2019/7/22 17:59:19 人评论 次浏览 分类:学习教程

  升级了AndroidStudio到3.4之后,发现项目中的很多依赖库都不能用,原因是随着AS升级之后,Gradle随之升级到3.4.1,很多第三方库也需要更高版本的支撑,今天遇到ButterKnife失效的问题,原本是8.5.1的版本(基于gradle3.1),提示升级ButterKnife9.0.0-rc2,上网查了一下资料,更改配置步骤如下——

  首先在项目的build.gradle 文件中的dependencies字段中添加如下两行

implementation 'com.jakewharton:butterknife:9.0.0-rc2'
annotationProcessor 'com.jakewharton:butterknife-compiler:9.0.0-rc2'

  然后在Modules中的build.gradle文件中的buildscript->dependencies字段 中添加如下:

classpath 'com.jakewharton:butterknife-gradle-plugin:9.0.0-rc2'

  然后点击Sync Now即可

  或者还有一种方法,直接在project structure 中配置
在这里插入图片描述

相关资讯

    暂无相关的资讯...

共有访客发表了评论 网友评论

验证码: 看不清楚?
    -->